<template>
  <div id="list-2">
    <van-col span="24" class="main">
      <van-col span="24" class="list" v-for="(item, index) in list" :key="index">
        <van-col span="24" class="other">
          <van-col span="24" class="otherInfo">
            <span>{{ item.content || '暂无' }}</span>
          </van-col>
          <van-col span="24" class="otherInfo">
            发送人：<span>{{ item.send_name || '暂无' }}</span>
          </van-col>
          <van-col span="24" class="otherInfo">
            发送时间：<span>{{ getDate(item.meta) }}</span>
          </van-col>
        </van-col>
        <van-col span="24" class="btn">
          <van-button type="danger" size="small" @click="toDel(item)">删除信息</van-button>
        </van-col>
      </van-col>
    </van-col>
  </div>
</template>

<script>
import { mapState, createNamespacedHelpers } from 'vuex';
var moment = require('moment');
export default {
  name: 'list-2',
  props: {
    list: { type: Array },
  },
  components: {},
  data: function () {
    return {};
  },
  created() {},
  methods: {
    update(data) {
      this.$emit('update', data);
    },
    getDate(val) {
      let newDate = moment(val.createdAt).format('YYYY-MM-DD HH:mm:ss');
      if (newDate) return newDate;
    },
    // 删除信息
    toDel(data) {
      this.$emit('toDel', data);
    },
  },
  computed: {
    ...mapState(['user']),
  },
  metaInfo() {
    return { title: this.$route.meta.title };
  },
  watch: {
    test: {
      deep: true,
      immediate: true,
      handler(val) {},
    },
  },
};
</script>

<style lang="less" scoped>
.main {
  padding: 8px 0 0 0;
  .list {
    background-color: #fff;
    margin: 0 0 8px 0;
    padding: 8px;
    border-radius: 5px;
    .title {
      font-size: 16px;
      font-weight: bold;
      margin: 0 0 5px 0;
    }
    .other {
      margin: 0 0 5px 0;
      .otherInfo {
        font-size: 14px;
        color: #666;
        margin: 0 0 5px 0;
        span {
          color: #000;
          line-height: 20px;
        }
      }
    }
    .btn {
      text-align: center;
      .van-button {
        margin: 0 5px;
      }
    }
  }
}
</style>
